********************************************************************************
*** ANALYSIS (family paper)
***
*** Author: LT + vk
********************************************************************************
set more off
set trace off
capture log close

do $path\HOPPprepared\do\globals
gl results  $path\HOPPprepared\results\family_paper\version2

************************* REGRESSIONS FOR V 2 UNWEIGHTED


use  $data\analysis_fam_panel_weights_KIDS_NEW.dta, clear
drop if par_2 ==1		



***Define globals
*female
*dummykid

gl bs "female##dummykid" //basic specification
gl cc "female##i.access_ftcc" //childcare specification

gl general "age agesq educ_isced_4to5 educ_isced_6 mig"
gl fam "partner_w1"
gl work "ho_b KUG_Anteil"
gl emphist "employ_yearscontri_ausbi employ_years3 alo"

gl droppy $general $fam $work $emphist
gl start "wh_b"



*+++++++++++++++++++++++++++++++++
*** How does having kids influence the gender difference? (Interaction)

** - without / with control variables, without control for starting level

forva x = 1/4 {
  reg diff`x' $bs, robust
  est store bs`x'
  
  reg diff`x' $bs $general $fam $work $emphist, robust
  est store bs_cont`x'
 }




*-------------------------------------------------------------------------------

*** What role does the childcare arrangement play?

** - without / with control variables, without control for starting level

forva x = 1/4 {
  reg diff`x' $cc, robust
  est store cc`x'
  
  reg diff`x' $cc $general $fam $work $emphist, robust
  est store cc_cont`x'
 }
 



***********************
 *Making a nice word table for selected models
 **********************
 
	 
*first reg table including 2 kind of models	
gl models1 bs_cont1  bs_cont2  bs_cont3  bs_cont4 
gl models2 cc_cont1 cc_cont2 cc_cont3 cc_cont4

forva x= 1/2		{
	
	esttab ${models`x'} using $results\models_final_`x'.rtf,   	///
b(%4.3f) se  replace title(OLS regression with dependent variable working hours' difference to time before Covid-19. Unweighted.) 		///
nonumbers mtitles("Wave 1" "Wave 2" "Wave 3" "Wave 4" )   	///
label  star(+ 0.10 * 0.05 ** 0.01 *** 0.001) nogaps  		///
varwidth(25) compress 		///
r2	obslast	///
addnotes("Source: IAB-HOPP-data 2020, authors' calculations.")

}

