
set more off
set trace off
cap log close

do $path\HOPPprepared\do\globals 
*special global to save results as version 2:
gl results  $path\HOPPprepared\results\family_paper\version2

*****************************



*** HECKMAN MODEL AND OLS MODEL FOR COMPARISON. 

use iab_id covid parent using  $data\analysis_fam_panel_weights_KIDS_NEW.dta, clear
keep if covid==1
keep if parent!=2
keep iab_id

merge 1:m iab_id using   $data\family_paper\analysis_fam_panel_HECKMAN

keep if _merge !=1		

keep if insamplev2==1 | insamplev2==3		//sample indicators for Heckman

drop if insamplev2==1 & _merge ==2		
****************+


gl fam "female access_ft2 access_ft3 partner_w1"
gl general "age agesq educ_isced_4to5 educ_isced_6 mig"
gl work " KUG_Anteil"
gl emphist "employ_yearscontri_ausbi employ_years3 alo"


gl vars  $fam $general $work $emphist




/*-----------------------------------------------------------------------
 (only those who worked in wave 0 minus missings): 

Heckman and OLS. 
------------------------------------------------------------------------*/
cap log close
log using $log\heckman_June.log, replace

*panel is 1 when people belong to final sample

est clear

forva x = 1/4		{
	dis "HEckman"
	heckman diff`x' $vars if covid==`x' , select(panel = $vars)  first 
	
	eststo heck`x'
	
	
		}

log close


cap log close
log using $log\ols_heck_June.log, replace

keep if insamplev2== 1

  forva x = 1/4		{
	dis "ols for comparison to HEckman"
	reg diff`x' $vars if covid==`x' , robust
	eststo ols`x'
	
	
	
		}

log close


esttab heck1 ols1 heck2 ols2  heck3 ols3 heck4 ols4 using $results\heckman.rtf,   	///
b(%4.3f) se  replace title(Heckman model and OLS model with dependent variable 'difference in working hours') 		///
nonumbers mtitles("Wave 1" "Wave 1"  "Wave 2" "Wave 2" "Wave 3" "Wave 3" "Wave 4" "Wave 4")   	///
label  star(+ 0.10 * 0.05 ** 0.01 *** 0.001) nogaps  		///
varwidth(25) compress 		///
scalars(sigma lambda rho)	pr2	 r2 obslast	///
addnotes("Source: IAB-HOPP, authors' calculations.")




